# $Id: platform_sunos5_ghs.GNU 73343 2006-06-29 08:51:28Z jwillemsen $

# SunOS 5.x (Solaris 2.x) with GreenHills compiler.

debug ?= 1
exceptions ?= 0
optimize ?= 1
threads ?= 1

CC       = gcx
CXX      = $(CC)
CCFLAGS  += $(CFLAGS) --no_rtti $(TEMPLATES_FLAG)
DCFLAGS  += -g
DLD      = $(CXX)
LD       = $(CXX)
LIBS     += -lsocket -ldl -lgen -lnsl -lposix4
OCFLAGS  += -OL -OM
PIC      = -PIC
RANLIB   = @true
AR       = $(CC) $(LDFLAGS)
ARFLAGS  = -archive -o
RANLIB   = @true
SOFLAGS  += -shared

ifeq ($(threads),1)
  #### Don't use g7 register with threading.
  CFLAGS += -Xleaveg7
  LIBS += -lthread
endif # ! threads

ifeq (1,$(exceptions))
  CCFLAGS += --exceptions
else  # ! exceptions
  CCFLAGS += --no_exceptions
endif # ! exceptions
